net.sf.jasperreports.search

## Class LuceneSpansInfo

- java.lang.Object
- - net.sf.jasperreports.search.LuceneSpansInfo

- All Implemented Interfaces:
    SpansInfo

      public class LuceneSpansInfo
      extends java.lang.Object
      implements SpansInfo

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSpansInfo(int termsPerQuery)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTermInfo(java.lang.String key, HitTermInfo hitTermInfo)`
    `java.util.List<HitTermInfo>` | `getHitTermsInfo(java.lang.String key)`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getHitTermsPerPage()`
    `int` | `getTermsPerQuery()`
    `boolean` | `hasHitTermsInfo(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneSpansInfo

          public LuceneSpansInfo(int termsPerQuery)

  - ### Method Detail

    - #### addTermInfo

          public void addTermInfo(java.lang.String key,
                         HitTermInfo hitTermInfo)

    - #### hasHitTermsInfo

          public boolean hasHitTermsInfo(java.lang.String key)

      Specified by:
        `hasHitTermsInfo` in interface `SpansInfo`

    - #### getHitTermsInfo

          public java.util.List<HitTermInfo> getHitTermsInfo(java.lang.String key)

      Specified by:
        `getHitTermsInfo` in interface `SpansInfo`

    - #### getHitTermsPerPage

          public java.util.Map<java.lang.String,java.lang.Integer> getHitTermsPerPage()

      Specified by:
        `getHitTermsPerPage` in interface `SpansInfo`

    - #### getTermsPerQuery

          public int getTermsPerQuery()

      Specified by:
        `getTermsPerQuery` in interface `SpansInfo`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com